Bonjour
Peut on avoir une procedure pour se servir d omero en ligne de commande?
merci
marc

History
#1 - 01/13/2015 04:24 PM - Volker Baecker

On MAC and Linux you can use the script provided by OMERO:

1. Open a terminal and cd to the directory of you OMERO client installation, for example
cd ~/programs/OMERO.clients-5.0.0-ice35-b19.linux

2. Run the importer-cli script with the parameters you want, for example
./importer-cli -s omero.mri.cnrs.fr -u <username> -w <password> /my/folder/*
This will import all images in /my/folder

You can find more parameter to set for example the dataset, and so on, here:
http://www.openmicroscopy.org/site/support/omero5/users/command-line-import.html

There is no script for windows provided, however you can run the import in a similar way by directly using java:

java -Xmx512M -cp "./OmeroImporter.jar:./omero.insight.jar" -Djava.library.path="/home/baecker/programs/OMERO.clients-5.0.0-ice35-b19.linux" 
ome.formats.importer.cli.CommandLineImporter -s omero.mri.cnrs.fr -u <username> -w <password> /my/folder/*

You must replace the library path in the -Djava.library.path option with the path to the omero client installation on your machine.

#2 - 01/13/2015 04:26 PM - Volker Baecker

CORRECTION: 
The above java call uses linux style for the library options it should be

java -Xmx512M -cp "./OmeroImporter.jar;./omero.insight.jar" -Djava.library.path="/home/baecker/programs/OMERO.clients-5.0.0-ice35-b19.linux"
ome.formats.importer.cli.CommandLineImporter -s omero.mri.cnrs.fr -u <username> -w <password> /my/folder/*

That is you should use a ; instead of the : to separate the jars in the classpath.

#3 - 01/15/2015 11:23 AM - Volker Baecker
http://www.openmicroscopy.org/site/support/omero5/users/command-line-import.html


Here is the correct windows version:

java -Xmx512M -cp ".\OmeroImporter.jar;.\omero.insight.jar" -Djava.library.path="D:\Users\baecker\omero\OMERO.clients-5.0.6-ice35-b53.win"
ome.formats.importer.cli.CommandLineImporter -s omero.mri.cnrs.fr -u <username> -w <password> ..\my\images\*

Note the use of ; and \.
The library path needs to point to your omero installation

#4 - 02/26/2015 10:34 AM - Volker Baecker
- Status changed from New to Closed
- % Done changed from 0 to 100
